File libopensync-plugin-syncml.spec of Package libopensync-plugin-syncml

#
# spec file for package libopensync-plugin-syncml (Version 0.22)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libopensync-plugin-syncml
BuildRequires:  libopensync-devel libsyncml-devel
Url:            http://www.openync.org
Version:        0.22
Release:        152
Summary:        SyncML Synchronization Plug-In for OpenSync
License:        LGPL v2.1 or later
Group:          Productivity/Other
AutoReqProv:    on
Source:         %{name}-%{version}.tar.bz2
Patch:          libopensync-plugin-syncml-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libsyncml0

%description
This plug-in allows applications using OpenSync to synchronize to and
from SyncML based devices.

Additionally install the libopensync package.



Authors:
--------
    Armin Bauer <armin.bauer@opensync.org>

%prep
%setup -q
%patch

%build
autoreconf -sfi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --libdir=%_libdir --localstatedir=%_localstatedir --disable-http
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# only needed for development, and currently there's no package needing it.
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/syncml_plugin.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_libdir}/opensync/plugins/syncml_plugin.so
%{_datadir}/opensync/defaults/syncml-http-server
%{_datadir}/opensync/defaults/syncml-obex-client

%changelog
* Fri Mar 07 2008 cstender@suse.de
- disabled http support because it didn't work with libsyncml 0.4.4
* Fri Feb 29 2008 ro@suse.de
- fix build (libsoup is now 2.4)
* Thu May 03 2007 dgollub@suse.de
- updated Requries to libsyncml0
* Thu Mar 29 2007 cstender@suse.de
- updated to version 0.22
  o fixed two broken pipe bugs
  o added configure options for disabling obex and http
- removed patches (already included in 0.22)
* Mon Nov 27 2006 dgollub@suse.de
- added workaround for mobile phones which only supports localtime.
  (This affects Nokia 6230, 6230i, 6280, ...) (#224063)
- Workaround option in plugin config:
  <onlyLocaltime>1</onlyLocaltime>
* Thu Nov 23 2006 dgollub@suse.de
- changed default config of syncml-obex-client config.
- enabled wbxml by default and
  changed connection to bluetooth
* Mon Nov 20 2006 cstender@suse.de
- removed useless lzo-devel build require
* Mon Nov 06 2006 cstender@suse.de
- updated to version 0.20
  o changed object type format of todo and event to
  vtodo10 and vevent10
  o notes make use of new object type "memo"
  o changed database names in default config
  o added missing plugin descriptions for frontends
* Fri Sep 29 2006 cstender@suse.de
- updated to version 0.19
  o pulled in upstream patches
  o use vevent10 instead of vevent20
  o set timeout to 0
* Mon Aug 28 2006 cstender@suse.de
- updated to version 0.18+svn1233
* Thu Jul 06 2006 dgollub@suse.de
- updated to 0.18_SVN1095:
  o added support for events, todos and notes
  o added bluetooth support
  o added usb support
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 16 2005 dgollub@suse.de
- initial version of libopensync-plugin-syncml 0.18_SVN770
openSUSE Build Service is sponsored by